Skip to main content
POST
/
organization
/
{organizationId}
/
containerRegistry
Create a container registry
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/containerRegistry \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "kind": "ECR",
  "config": {
    "access_key_id": "<string>",
    "secret_access_key": "<string>",
    "region": "<string>",
    "scaleway_access_key": "<string>",
    "scaleway_secret_key": "<string>",
    "scaleway_project_id": "<string>",
    "json_credentials": "<string>",
    "username": "<string>",
    "password": "<string>",
    "role_arn": "<string>",
    "azure_tenant_id": "<string>",
    "azure_subscription_id": "<string>"
  },
  "description": "<string>",
  "url": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "kind": "ECR",
  "description": "<string>",
  "url": "<string>",
  "cluster": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  },
  "associated_services_count": 123,
  "config": {
    "username": "<string>",
    "region": "<string>",
    "scaleway_access_key": "<string>",
    "scaleway_project_id": "<string>",
    "access_key_id": "<string>",
    "role_arn": "<string>",
    "azure_tenant_id": "<string>",
    "azure_subscription_id": "<string>",
    "azure_application_id": "<string>",
    "azure_application_object_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
name
string
required
kind
enum<string>
required

The type of your container registry

Available options:
ECR,
SCALEWAY_CR,
DOCKER_HUB,
GITHUB_CR,
GITHUB_ENTERPRISE_CR,
GITLAB_CR,
PUBLIC_ECR,
DOCR,
GENERIC_CR,
GCP_ARTIFACT_REGISTRY,
AZURE_CR
config
object
required

This field is dependent of the container registry kind:

  • ECR needs in the config: region, access_key_id, secret_access_key
  • SCALEWAY_CR needs in the config: region, scaleway_access_key, scaleway_secret_key
  • GCP_ARTIFACT_REGISTRY needs in the config: region, json_credentials
  • DOCKER_HUB needs in the config (optional): username, password
  • GITHUB_CR needs in the config (optional): username, password
  • GITLAB_CR needs in the config (optional): username, password
  • PUBLIC_ECR doesn't need credentials info
  • GENERIC_CR needs in the config (optional): username, password
  • DOCR is not supported anymore
description
string
url
string<uri>

URL of the container registry:

  • For DOCKER_HUB: it must be https://docker.io (default with 'https://docker.io' if no url provided for DOCKER_HUB)
  • For GITHUB_CR: it must be https://ghcr.io (default with 'https://ghcr.io' if no url provided for GITHUB_CR)
  • For GITLAB_CR: it must be https://registry.gitlab.com (default with 'https://registry.gitlab.com' if no url provided for GITLAB_CR)
  • For others: it's required and must start by https://

Response

Create a Container Registry

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
read-only
name
string
kind
enum<string>

The type of your container registry

Available options:
ECR,
SCALEWAY_CR,
DOCKER_HUB,
GITHUB_CR,
GITHUB_ENTERPRISE_CR,
GITLAB_CR,
PUBLIC_ECR,
DOCR,
GENERIC_CR,
GCP_ARTIFACT_REGISTRY,
AZURE_CR
description
string
url
string

URL of the container registry

cluster
object
associated_services_count
integer

The number of services using this container registry

config
object